Content-type: text/html; charset=UTF-8

# x2golistmounts

Section: X2Go Server Tool (8)
Updated: Aug 2023
Index Return to Main Contents

## NAME

x2golistmounts - List Mounted Shares for an X2Go Session

## SYNOPSIS

x2golistmounts [<session_id>]

## DESCRIPTION

x2golistmounts returns a list of mounted client-side folders or devices for X2Go session <session_id>.

If this commands get evoked inside an X2Go session, the <session_id> parameter can be omitted (and the env var $X2GO_SESSION will be used instead).

x2golistmounts is run with normal user privileges and it is used by X2Go clients to render a list of SSHFS mounts for a given X2Go sessions.

## RETURN VALUES

A line-by-line list of mounted shares is returned by x2golistmounts. Each line consists of two mount point attribute fields separated by the pipe symbol (,,|'').

The meanings of these mount point attributes are:

field 01: <sshfs_target_host_ip>
field 02: <mount_point_path_on_server>

As exitcode x2golistmounts always returns 0.

## SEE ALSO

x2gomountdirs(8), x2goumount-session(8)

## AUTHOR

This manual has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go project (https://www.x2go.org).

## Index

NAME
SYNOPSIS
DESCRIPTION
RETURN VALUES
SEE ALSO
AUTHOR

This document was created by man2html, using the manual pages.
Time: 17:52:57 GMT, February 18, 2025